Bug 440899 - setup-ds.pl password prompt loops in Confirm prompt
setup-ds.pl password prompt loops in Confirm prompt
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
1.1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rich Megginson
Chandrasekar Kannan
: Reopened
Depends On:
Blocks: 249650 FDS112
  Show dependency treegraph
 
Reported: 2008-04-04 12:57 EDT by Bob Lord
Modified: 2015-01-04 18:31 EST (History)
2 users (show)

See Also:
Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-29 19:03:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diffs (2.46 KB, patch)
2008-07-14 12:38 EDT, Rich Megginson
no flags Details | Diff
cvs commit log (198 bytes, text/plain)
2008-07-14 19:20 EDT, Rich Megginson
no flags Details

  None (edit)
Description Bob Lord 2008-04-04 12:57:53 EDT
Description of problem:
I'm using the /usr/sbin/setup-ds.pl script to make a Directory Server instance
for Dogtag.  The script asks several questions, and at one point it asks for a
password.  It then asks you to confirm the password.

Sometimes I mistakenly type a slightly different password. 

Most password prompts will detect this difference, and ask for the password
again.  However this tool asks me to confirm the password again.  Since my typo
was in the first password prompt (rather than in the "confirm" prompt), I cannot
complete the script.

Here is a portion of the script:

==
Certain directory server operations require an administrative user.
This user is referred to as the Directory Manager and typically has a
bind Distinguished Name (DN) of cn=Directory Manager.
You will also be prompted for the password for this user.  The password must
be at least 8 characters long, and contain no spaces.

Directory Manager DN [cn=Directory Manager]: 
Password: 
Password (confirm): 
The passwords do not match.  Please try again.

Password (confirm): 
The passwords do not match.  Please try again.

Password (confirm): 
==


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
The script keeps looping through the Confirm prompt.

Expected results:
I expect the script to ask for my password again, and then to ask for confirmation.

Additional info:
Comment 1 Matthew Harmsen 2008-04-11 17:36:54 EDT
Re-assigning this bug to Rich. This is actually a Fedora Directory Server bug,
not a Dogtag Certificate System bug.
Comment 2 Rich Megginson 2008-04-11 17:47:15 EDT
Hit Ctrl-B to to back and re-enter the password from the beginning.
Comment 3 Rich Megginson 2008-04-11 17:48:11 EDT
That should be
Type Control-B, then press Enter (or Return)
That should take you back to the previous prompt and let you start over again.
Comment 4 Bob Lord 2008-04-11 18:49:23 EDT
(In reply to comment #3)
> That should be
> Type Control-B, then press Enter (or Return)
> That should take you back to the previous prompt and let you start over again.

I didn't see any reference to that trick.  Unless I missed it, it's completely
undiscoverable.  I've never seen a failed password entry cycle back to the
confirmation.  They cycle back to the first password prompt.

It's this sort of fit and finish that helps make people love products. I had to
kill that process and start over.  I didn't love the product at that moment. 

Comment 5 Rich Megginson 2008-04-11 19:28:12 EDT
The very first screen you see when you run setup tells you that at any time you
can hit Ctrl-B Enter to go back.

This program will set up the Fedora Directory Server.

It is recommended that you have "root" privilege to set up the software.
Tips for using this  program:
  - Press "Enter" to choose the default and go to the next screen
  - Type "Control-B" then "Enter" to go back to the previous screen
  - Type "Control-C" to cancel the setup program

I guess we should add something like this:
You can also use "Control-B" then "Enter" if you enter your initial password or
confirmation password incorrectly, to back up and try again.

Perhaps we should have some such blurb on each dialog screen that asks for a
password and a confirmation?  Or any dialog that has more than one prompt?
Comment 6 Bob Lord 2008-04-11 21:08:26 EDT
(In reply to comment #5)
> The very first screen you see when you run setup tells you that at any time you
> can hit Ctrl-B Enter to go back.

I have a few thoughts:
1. You are right it says that.
2. Most people don't read those things, especially when they know how to fill
out the form
3. Password creation is different in this app than in most other apps, which at
least for me created a usability problem.  Even if I had read more carefully, I
don't think I would have assumed that Control-B would have worked in the
password creation portion. 

In any event, I'm willing to let this one slide.
Comment 7 Rich Megginson 2008-07-14 12:38:47 EDT
Created attachment 311728 [details]
diffs
Comment 8 Rich Megginson 2008-07-14 19:20:59 EDT
Created attachment 311786 [details]
cvs commit log

Reviewed by: nkinder (Thanks!)
Branch: HEAD
Fix Description: Just make sure the prompt tells the user that they can hit
Control-B Enter at any time to go back if they need to re-enter the password.
Platforms tested: RHEL5, Fedora 8, Fedora 9
Flag Day: no
Doc impact: no
Comment 9 Jenny Galipeau 2009-03-11 13:50:56 EDT
Verified RHEL5 DS 8.1

Prompt explains Control-B Enter or type the word back and it works.
However, I must admit this is not expected or typical behavior.

==============================================================================
Certain directory server operations require an administrative user.
This user is referred to as the Directory Manager and typically has a
bind Distinguished Name (DN) of cn=Directory Manager.
You will also be prompted for the password for this user.  The password must
be at least 8 characters long, and contain no spaces.
Press Control-B or type the word "back", then Enter to back up and start over.

Directory Manager DN [cn=Directory Manager]: 
Password: 
Password (confirm): 
The passwords do not match.  Please try again.

Password (confirm): 
The passwords do not match.  Please try again.

Password (confirm): 
The passwords do not match.  Please try again.

Password (confirm): 

==============================================================================
The suffix is the root of your directory tree.  The suffix must be a valid DN.
It is recommended that you use the dc=domaincomponent suffix convention.
For example, if your domain is example.com,
you should use dc=example,dc=com for your suffix.
Setup will create this initial suffix for you,
but you may have more than one suffix.
Use the directory server utilities to create additional suffixes.

Suffix [dc=migration, dc=com]:
Comment 10 Chandrasekar Kannan 2009-04-29 19:03:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html

Note You need to log in before you can comment on or make changes to this bug.